OpenStack Compute (Nova)

Some parts of Nova not using versioned RPC APIs

Reported by Russell Bryant on 2012-05-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Russell Bryant

Bug Description

In folsom-1 I implemented the versioned-rpc-apis blueprint:

https://blueprints.launchpad.net/nova/+spec/versioned-rpc-apis

I realized that there are a number of messages sent to the compute manager that I missed when converting the code base to use versioned rpc APIs. Everything will still work right now, but all of these instances need to get converted to use the rpcapi wrappers for versioning to work as expected down the road once version numbers start getting bumped.

Changed in nova:
assignee: nobody → Russell Bryant (russellb)
milestone: none → folsom-2
importance: Undecided → High
status: New → Triaged
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/7935

Changed in nova:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/7936

Fix proposed to branch: master
Review: https://review.openstack.org/7937

Fix proposed to branch: master
Review: https://review.openstack.org/7938

Fix proposed to branch: master
Review: https://review.openstack.org/7939

Fix proposed to branch: master
Review: https://review.openstack.org/7940

Fix proposed to branch: master
Review: https://review.openstack.org/7941

Fix proposed to branch: master
Review: https://review.openstack.org/7942

Fix proposed to branch: master
Review: https://review.openstack.org/7943

Fix proposed to branch: master
Review: https://review.openstack.org/7944

Fix proposed to branch: master
Review: https://review.openstack.org/7945

Fix proposed to branch: master
Review: https://review.openstack.org/7946

Fix proposed to branch: master
Review: https://review.openstack.org/7947

Fix proposed to branch: master
Review: https://review.openstack.org/7948

Reviewed: https://review.openstack.org/7935
Committed: http://github.com/openstack/nova/commit/0db055b9b3e5e74d229b38df06408166b53069b7
Submitter: Jenkins
Branch: master

commit 0db055b9b3e5e74d229b38df06408166b53069b7
Author: Russell Bryant <email address hidden>
Date: Tue May 29 16:51:59 2012 -0400

    Add get_console_pool_info() to the compute rpcapi.

    Part of bug 1006467.

    This patch adds the get_console_pool_info() method to the compute
    rpcapi. This is used by the console manager.

    Change-Id: I429123ed48cb2a5fcfb70248eac743cf4e7a76f2

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/7936
Committed: http://github.com/openstack/nova/commit/836ffbd489f28a1d370cb1003bd8d62de4783351
Submitter: Jenkins
Branch: master

commit 836ffbd489f28a1d370cb1003bd8d62de4783351
Author: Russell Bryant <email address hidden>
Date: Tue May 29 17:10:09 2012 -0400

    Add finish_revert_resize() to the compute rpcapi.

    Part of bug 1006467.

    This method is used by the compute manager itself. Add it to the
    rpcapi and use it from there.

    Change-Id: I7fcab5b0b498318377a1a108e2eeb4db1ae1e4ea

Reviewed: https://review.openstack.org/7937
Committed: http://github.com/openstack/nova/commit/72550284ee6cdbda9c1a6762deb140b670634d2f
Submitter: Jenkins
Branch: master

commit 72550284ee6cdbda9c1a6762deb140b670634d2f
Author: Russell Bryant <email address hidden>
Date: Tue May 29 17:22:33 2012 -0400

    Add resize_instance() to the compute rpcapi.

    Part of bug 1006467.

    This method is used by the compute manager. Add it to the compute
    rpcapi and use it from there.

    Change-Id: I873fc0740595f7387ea476b11fd2c70d29d4765a

Reviewed: https://review.openstack.org/7938
Committed: http://github.com/openstack/nova/commit/18108a0143df0847fe1a4b105b787ca9ca76f422
Submitter: Jenkins
Branch: master

commit 18108a0143df0847fe1a4b105b787ca9ca76f422
Author: Russell Bryant <email address hidden>
Date: Tue May 29 18:12:49 2012 -0400

    Add finish_resize() to the compute rpcapi.

    Part of bug 1006467.

    This patch adds the finish_resize() method to the compute rpcapi. It is
    used by the compute manager.

    Change-Id: I989bc70c1af44001a095e64b8abde05a0f99964d

Reviewed: https://review.openstack.org/7939
Committed: http://github.com/openstack/nova/commit/3a829e3543b8a346fce95f71cd51f68e7c4aae41
Submitter: Jenkins
Branch: master

commit 3a829e3543b8a346fce95f71cd51f68e7c4aae41
Author: Russell Bryant <email address hidden>
Date: Tue May 29 18:28:09 2012 -0400

    Add rollback_live_migration_at_destination() to compute rpcapi.

    Part of bug 1006467.

    This patch adds rollback_live_migration_at_destination() to the compute
    rpcapi. This method is used by the compute manager.

    Change-Id: Iadbb50fc5cb0f7b5ad483d48666bc81e033ac5f4

Reviewed: https://review.openstack.org/7940
Committed: http://github.com/openstack/nova/commit/093bdd6edff7ec391145018a0d3ce8e9dc1f84ff
Submitter: Jenkins
Branch: master

commit 093bdd6edff7ec391145018a0d3ce8e9dc1f84ff
Author: Russell Bryant <email address hidden>
Date: Tue May 29 18:39:07 2012 -0400

    Add pre_live_migration() to the compute rpcapi.

    Part of bug 1006467.

    This patch adds pre_live_migration() to the compute rpcapi. It is used
    by the compute manager.

    Change-Id: I70fb66ad194837faa1139e644888c4a7c7a5a0a6

Reviewed: https://review.openstack.org/7941
Committed: http://github.com/openstack/nova/commit/f9986b8be0d577e9e44cae1c8a9afe308af868f9
Submitter: Jenkins
Branch: master

commit f9986b8be0d577e9e44cae1c8a9afe308af868f9
Author: Russell Bryant <email address hidden>
Date: Tue May 29 21:11:21 2012 -0400

    Add post_live_migration_at_destination() to compute rpcapi.

    Part of bug 1006467.

    This patch adds the "post_live_migration_at_destination method to the
    compute rpcapi. It is used by the compute manager.

    Change-Id: I964d3b149e10c927657d0b239835335eb240b6e4

Reviewed: https://review.openstack.org/7942
Committed: http://github.com/openstack/nova/commit/23cfb85e385478df01b0623afb07a8995fa801cc
Submitter: Jenkins
Branch: master

commit 23cfb85e385478df01b0623afb07a8995fa801cc
Author: Russell Bryant <email address hidden>
Date: Tue May 29 21:15:58 2012 -0400

    Use compute rpcapi in nova-manage.

    Part of bug 1006467.

    This patch fixes nova-manage to use the compute rpcapi instead of
    calling rpc.cast() directly. This cast was actually broken, as it sent
    an instance ID instead of UUID, so this change should make this code
    functional again.

    Change-Id: I90a1bf4a03cc6d9e21f24f19165141f894b6ec75

Reviewed: https://review.openstack.org/7943
Committed: http://github.com/openstack/nova/commit/ebedbfd243ed99e33501c039f09ac62aaf041cd7
Submitter: Jenkins
Branch: master

commit ebedbfd243ed99e33501c039f09ac62aaf041cd7
Author: Russell Bryant <email address hidden>
Date: Tue May 29 21:30:59 2012 -0400

    Add refresh_provider_fw_rules() to compute rpcapi.

    Part of bug 1006467.

    This patch adds another method to the compute rpcapi -
    refresh_provider_fw_rules(). It is used from compute.api.

    Change-Id: I653efc00a2324047f34a383da9e36454a45c4038

Reviewed: https://review.openstack.org/7944
Committed: http://github.com/openstack/nova/commit/60b6c5d53508d9c2b113dd78c5a0bc43a7fad9f8
Submitter: Jenkins
Branch: master

commit 60b6c5d53508d9c2b113dd78c5a0bc43a7fad9f8
Author: Russell Bryant <email address hidden>
Date: Tue May 29 21:39:11 2012 -0400

    Add get_console_topic() to the compute rpcapi.

    Part of bug 1006467.

    This patch adds get_console_topic to the compute rpcapi. This method is
    used by the console API.

    Change-Id: I738be88a52fede0739a73283b6e2640072f0f72b

Reviewed: https://review.openstack.org/7945
Committed: http://github.com/openstack/nova/commit/5a1236e469faf0f415989249d8aaa1c510fa8b3d
Submitter: Jenkins
Branch: master

commit 5a1236e469faf0f415989249d8aaa1c510fa8b3d
Author: Russell Bryant <email address hidden>
Date: Tue May 29 22:00:10 2012 -0400

    Add compare_cpu to the compute rpcapi.

    Part of bug 1006467.

    This patch adds compare_cpu to the compute rpcapi. This is used by the
    scheduler.

    Change-Id: Ibce3ab3797c1305829c0722be1813e462193f08b

Changed in nova:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/7946
Committed: http://github.com/openstack/nova/commit/dc0751ff4649d4b1ae642222704c244d5995138a
Submitter: Jenkins
Branch: master

commit dc0751ff4649d4b1ae642222704c244d5995138a
Author: Russell Bryant <email address hidden>
Date: Wed May 30 11:28:09 2012 -0400

    Add remove_volume_connection to the compute rpcapi.

    Part of bug 1006467.

    Add the remove_volume_connection method to the compute rpcapi. This is
    used by the compute manager.

    Change-Id: I307d85782baa371a16c80bd9ecabf449a60a0876

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/7947
Committed: http://github.com/openstack/nova/commit/b7744f8f7e345928df016a04b6d8a5935470b254
Submitter: Jenkins
Branch: master

commit b7744f8f7e345928df016a04b6d8a5935470b254
Author: Russell Bryant <email address hidden>
Date: Wed May 30 14:04:48 2012 -0400

    Add get_instance_disk_info to the compute rpcapi.

    Part of bug 1006467.

    This patch adds get_instance_disk_info to the compute rpcapi, which is
    used by the scheduler.

    Change-Id: Ibb4a86d92ef402a3cc993212dfb8ce073c1c542d

Reviewed: https://review.openstack.org/7948
Committed: http://github.com/openstack/nova/commit/cf2b87347cd801112f89552a78efabb92a63bac6
Submitter: Jenkins
Branch: master

commit cf2b87347cd801112f89552a78efabb92a63bac6
Author: Russell Bryant <email address hidden>
Date: Wed May 30 14:57:03 2012 -0400

    Add shared_storage_test methods to compute rpcapi.

    Part of bug 1006467.

    This patch adds 3 methods used to check if shared storage works between
    two compute hosts to the compute rpcapi. These methods are used by the
    scheduler.

    This also cuts down on some duplicated code in test_scheduler.

    Change-Id: If0bf7f7fdd2beb0e5280ae52daf049372f8bc9e2

Thierry Carrez (ttx) on 2012-07-04
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-09-27
Changed in nova:
milestone: folsom-2 → 2012.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers